# Class LoginFormSubmitMethod

#### Implements

- FormSubmitMethod<any>

- Defined in login/login.form.ts:73

#####
Index

### Constructors

constructor

### Methods

call

##
Constructors

### constructor

- new LoginFormSubmitMethod(
  signInWithEmailAndPasswordMethod: SignInWithEmailAndPasswordMethod,
  ): LoginFormSubmitMethod

  #### Parameters

  - signInWithEmailAndPasswordMethod: SignInWithEmailAndPasswordMethod

  #### Returns LoginFormSubmitMethod

  - Defined in login/login.form.ts:74

##
Methods

### call

- call(
  value: { email: string; password: string; remember: boolean },
  ): Promise<any>

  #### Parameters

  - value: { email: string; password: string; remember: boolean }

  #### Returns Promise<any>

  Implementation of FormSubmitMethod.call

  - Defined in login/login.form.ts:77